#!/usr/bin/env python

import os

try:
    from setuptools import setup
    from setuptools.extension import Extension
except ImportError:
    raise RuntimeError("setuptools is required")

URL = "https://github.com/pvlib/pvlib-python"


extensions = []

spa_sources = ["pvlib/spa_c_files/spa.c", "pvlib/spa_c_files/spa_py.c"]
spa_depends = ["pvlib/spa_c_files/spa.h"]
spa_all_file_paths = map(
    lambda x: os.path.join(os.path.dirname(__file__), x),
    spa_sources + spa_depends
)

if all(map(os.path.exists, spa_all_file_paths)):
    print("all spa_c files found")
    spa_ext = Extension(
        "pvlib.spa_c_files.spa_py", sources=spa_sources, depends=spa_depends
    )
    extensions.append(spa_ext)
else:
    print(
        "WARNING: spa_c files not detected. "
        + "See installation instructions for more information."
    )


setup(ext_modules=extensions, url=URL)
